package com.rthoni.intellij.codefromds.dbo.options;

import com.intellij.database.psi.DbRoutine;
import org.json.JSONObject;

import java.util.HashMap;

/**
 * Created by robin on 4/14/17.
 */
public class StoredProcedureSelection {

    private DbRoutine _storedProcedure;

    private boolean _isSelected;

    public StoredProcedureSelection(DbRoutine storedProcedure) {
        _storedProcedure = storedProcedure;
        _isSelected = true;
    }

    public DbRoutine getStoredProcedure() {
        return _storedProcedure;
    }

    public void setStoredProcedure(DbRoutine storedProcedure) {
        _storedProcedure = storedProcedure;
    }

    public boolean isSelected() {
        return _isSelected;
    }

    public void setSelected(boolean selected) {
        _isSelected = selected;
    }

    public HashMap<String, Object> toMap()
    {
        HashMap<String, Object> map = new HashMap<>();

        map.put("name", _storedProcedure == null ? null : _storedProcedure.getText());
        map.put("selected", _isSelected);

        return map;
    }

    public void fromJson(JSONObject json)
    {
        _isSelected = json.getBoolean("selected");
    }
}
